--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "网格效果2 20150121"				-- 文本型	窗口标题
    t.window.width = 800			-- 数值型	宽度
    t.window.height = 600			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			false		-- 逻辑型	音频
    t.modules.sound =			false		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------


function CreateTexturedCircle(image, segments)
    segments = segments or 40
    local vertices = {}
    
    -- The first vertex is at the center, and has a red tint. We're centering the circle around the origin (0, 0).
    table.insert(vertices, {0, 0, 0.5, 0.5, 255, 0, 0})
    
    -- Create the vertices at the edge of the circle.
    for i=0, segments do
        local angle = (i / segments) * math.pi * 2

        -- Unit-circle.
        local x = math.cos(angle)
        local y = math.sin(angle)
        
        -- Our position is in the range of [-1, 1] but we want the texture coordinate to be in the range of [0, 1].
        local u = (x + 1) * 0.5
        local v = (y + 1) * 0.5
        
        -- The per-vertex color defaults to white.
        table.insert(vertices, {x, y, u, v})
    end
    
    -- The "fan" draw mode is perfect for our circle.
    return 创建网格(vertices, image, "fan")
end

------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	
	image = 创建图像("远景.png")
	mesh = CreateTexturedCircle(image)
	
end
------------------------------------------

function 逻辑更新(dt)

end
------------------------------------------

function 画面显示()
	绘制(mesh, 400, 300, 0, 300, 300)
end
------------------------------------------

function 键盘按下(key)

end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------